import request from '@/config/axios'
import {
  DepartmentListResponse,
  DepartmentUserParams,
  DepartmentUserResponse,
  UserParams,
  SysRole,
  SysUser
} from './types'

export const getDepartmentApi = () => {
  return request.get<DepartmentListResponse>({ url: '/department/list' })
}

export const getUserByIdApi = (params: DepartmentUserParams) => {
  return request.get<DepartmentUserResponse>({ url: '/department/users', params })
}

export const deleteUserByIdApi = (ids: string[] | number[]) => {
  return request.post({ url: '/department/user/delete', data: { ids } })
}

export const saveUserApi = (data: any) => {
  return request.post({ url: '/department/user/save', data })
}

export const saveDepartmentApi = (data: any) => {
  return request.post({ url: '/department/save', data })
}

export const deleteDepartmentApi = (ids: string[] | number[]) => {
  return request.post({ url: '/department/delete', data: { ids } })
}

export const getDepartmentTableApi = (params: any) => {
  return request.get({ url: '/department/table/list', params })
}

export const getUserList = (data: UserParams) => {
  return request.post<DepartmentUserResponse>({ url: '/api/sysUser/page', data })
}

export const deleteUserById = (id: number) => {
  return request.delete({ url: `/api/sysUser/${id}` })
}

export const getRoleApi = () => {
  return request.post<SysRole[]>({ url: '/api/sysRole/list' })
}

export const addUser = (data: any) => {
  return request.post({ url: '/api/sysUser/add', data })
}

export const updataUser = (data: any) => {
  return request.put({ url: '/api/sysUser', data })
}
